package com.bonus.canteen.core.supply.purchase.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel
public class DrpInspectGoodsPageDTO {
   @ApiModelProperty("验货单号")
   private String inspectGoodsId;
   @ApiModelProperty("验货开始时间")
   private LocalDateTime startTime;
   @ApiModelProperty("验货结束时间")
   private LocalDateTime endTime;
   @ApiModelProperty("验货人")
   private String inspector;
   @ApiModelProperty("关联送货单号")
   private String relateDeliveryGoodsId;
   @ApiModelProperty("送货供应商id")
   private Long supplierId;
   @ApiModelProperty("送货人")
   private String deliveryMan;
   @ApiModelProperty("送货仓库")
   private Long deliveryWarehouseId;
   @ApiModelProperty("关联采购订单号")
   private String relateOrderGoodsId;
   @ApiModelProperty("制表开始时间")
   private LocalDateTime crtimeStart;
   @ApiModelProperty("制表结束时间")
   private LocalDateTime crtimeEnd;
   @ApiModelProperty("制表人")
   private String createBy;
   @ApiModelProperty("是否入库(传2)")
   private Integer ifInto;
   @ApiModelProperty("送货开始日期")
   private LocalDate deliveryStartDate;
   @ApiModelProperty("送货结束日期")
   private LocalDate deliveryEndDate;
   private List<Long> warehouseAuthority;
   @ApiModelProperty("区域IDList")
   private List<Long> areaIdList;
   private List<Long> areaAuth;
   public String getInspectGoodsId() {
      return this.inspectGoodsId;
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public LocalDateTime getEndTime() {
      return this.endTime;
   }

   public String getInspector() {
      return this.inspector;
   }

   public String getRelateDeliveryGoodsId() {
      return this.relateDeliveryGoodsId;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getDeliveryMan() {
      return this.deliveryMan;
   }

   public Long getDeliveryWarehouseId() {
      return this.deliveryWarehouseId;
   }

   public String getRelateOrderGoodsId() {
      return this.relateOrderGoodsId;
   }

   public LocalDateTime getCrtimeStart() {
      return this.crtimeStart;
   }

   public LocalDateTime getCrtimeEnd() {
      return this.crtimeEnd;
   }

   public Integer getIfInto() {
      return this.ifInto;
   }

   public LocalDate getDeliveryStartDate() {
      return this.deliveryStartDate;
   }

   public LocalDate getDeliveryEndDate() {
      return this.deliveryEndDate;
   }

   public List<Long> getWarehouseAuthority() {
      return this.warehouseAuthority;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public List<Long> getAreaAuth() {
      return this.areaAuth;
   }

   public DrpInspectGoodsPageDTO setInspectGoodsId(final String inspectGoodsId) {
      this.inspectGoodsId = inspectGoodsId;
      return this;
   }

   public DrpInspectGoodsPageDTO setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
      return this;
   }

   public DrpInspectGoodsPageDTO setEndTime(final LocalDateTime endTime) {
      this.endTime = endTime;
      return this;
   }

   public DrpInspectGoodsPageDTO setInspector(final String inspector) {
      this.inspector = inspector;
      return this;
   }

   public DrpInspectGoodsPageDTO setRelateDeliveryGoodsId(final String relateDeliveryGoodsId) {
      this.relateDeliveryGoodsId = relateDeliveryGoodsId;
      return this;
   }

   public DrpInspectGoodsPageDTO setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
      return this;
   }

   public DrpInspectGoodsPageDTO setDeliveryMan(final String deliveryMan) {
      this.deliveryMan = deliveryMan;
      return this;
   }

   public DrpInspectGoodsPageDTO setDeliveryWarehouseId(final Long deliveryWarehouseId) {
      this.deliveryWarehouseId = deliveryWarehouseId;
      return this;
   }

   public DrpInspectGoodsPageDTO setRelateOrderGoodsId(final String relateOrderGoodsId) {
      this.relateOrderGoodsId = relateOrderGoodsId;
      return this;
   }

   public DrpInspectGoodsPageDTO setCrtimeStart(final LocalDateTime crtimeStart) {
      this.crtimeStart = crtimeStart;
      return this;
   }

   public DrpInspectGoodsPageDTO setCrtimeEnd(final LocalDateTime crtimeEnd) {
      this.crtimeEnd = crtimeEnd;
      return this;
   }

   public DrpInspectGoodsPageDTO setIfInto(final Integer ifInto) {
      this.ifInto = ifInto;
      return this;
   }

   public DrpInspectGoodsPageDTO setDeliveryStartDate(final LocalDate deliveryStartDate) {
      this.deliveryStartDate = deliveryStartDate;
      return this;
   }

   public DrpInspectGoodsPageDTO setDeliveryEndDate(final LocalDate deliveryEndDate) {
      this.deliveryEndDate = deliveryEndDate;
      return this;
   }

   public DrpInspectGoodsPageDTO setWarehouseAuthority(final List<Long> warehouseAuthority) {
      this.warehouseAuthority = warehouseAuthority;
      return this;
   }

   public DrpInspectGoodsPageDTO setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
      return this;
   }

   public DrpInspectGoodsPageDTO setAreaAuth(final List<Long> areaAuth) {
      this.areaAuth = areaAuth;
      return this;
   }

   public String getCreateBy() {
      return createBy;
   }

   public DrpInspectGoodsPageDTO setCreateBy(String createBy) {
      this.createBy = createBy;
      return this;
   }
}
